#ifndef __IMGLOADER_H
#define __IMGLOADER_H
#include "ImgFactory.h"
#include "GdiplusWrapper.h"
class CImgLoaderByGdiplus :public CImgLoader {
public:
	Gdiplus::Image* LoadImage(wchar_t * szImgPath);
	void Print();
	const wchar_t* GetImgType();
};

#ifdef SUPPORT_SVG_TYPE
class CImgLoaderByNanoSvg :public CImgLoader {
public:
	Gdiplus::Image* LoadImage(wchar_t * szImgPath);
	void Print();
	const wchar_t* GetImgType();
};
#endif

#ifdef SUPPORT_FREEIMAGE
class CImgLoaderByFreeImage :public CImgLoader {
public:
	Gdiplus::Image* LoadImage(wchar_t * szImgPath);
	void Print();
	const wchar_t* GetImgType();
};
#endif

#endif

